[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.ConstraintErrorMessage

Message to display if the CustomConstraint constraint is violated.

## Declaration

Source position: db.pas line 444

`published property TField.ConstraintErrorMessage : string read FConstraintErrorMessage write FConstraintErrorMessage;`

## Description

ConstraintErrorMessage is the message that should be displayed when the dataset checks the constraints and the constraint in TField.CustomConstraint is violated.

This feature is not yet implemented in FPC.

## See also

TField.CustomConstraint |  | Custom constraint for the field's value